package com.tykj.dev.device.allot.service;

import com.tykj.dev.device.allot.subject.domin.AllotBackBill;
import com.tykj.dev.device.allot.subject.vo.AllotBillSelectVo;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;

/**
 * @author dengdiyi
 */
public interface AllotBackBillService {

    AllotBackBill addEntity(AllotBackBill allotBackBill);

    /**
     * @param allotBackBills 异步上链
     */
    void sendHash(List<AllotBackBill> allotBackBills);

    AllotBackBill update(AllotBackBill allotBackBill);

    AllotBackBill getOne(Integer id);

    Page<AllotBackBill> getPage(AllotBillSelectVo allotBillSelectVo, Pageable pageable);
}
